Page MenuHomePhabricator

Make sure CirrusSearch is doing the right thing with gendered namespaces
Closed, ResolvedPublic

Description

Author: rainman

Description:
Could someone take a look at which wikis use gender namespaces, and then adjust the dates on searchidx2 in /a/search/indexes/status ?

The files in this directory contain the dates for the most recently indexed article for each of the wikis. It would be good if this date would have been rewinded to before the gender namespaces have been introduced so that all pages are properly reindexed.


Version: master
Severity: minor

Details

Reference
bz32634

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:59 PM
bzimport added a project: CirrusSearch.
bzimport set Reference to bz32634.
bzimport added a subscriber: Unknown Object (MLST).

CC Siebrand, he'll probably know where gender namespaces are in use and when they started to be used.

/c/branches/118wmf1/languages/messages$ grep namespaceGenderAliases *.php
MessagesAr.php:$namespaceGenderAliases = array(
MessagesDe.php:$namespaceGenderAliases = array(
MessagesDsb.php:$namespaceGenderAliases = array(
MessagesEn.php:$namespaceGenderAliases = array(
MessagesEn.php:$namespaceGenderAliases = array();
MessagesEs.php:$namespaceGenderAliases = array(
MessagesGl.php:$namespaceGenderAliases = array(
MessagesHe.php:$namespaceGenderAliases = array(
MessagesHsb.php:$namespaceGenderAliases = array(
MessagesPl.php:$namespaceGenderAliases = array(
MessagesPt.php:$namespaceGenderAliases = array(
MessagesPt_br.php:$namespaceGenderAliases = array(
MessagesStq.php:$namespaceGenderAliases = array(

Not sure if this “depends on” or “blocks” Bug #31697 … but I'm pretty
sure it is related.

rainman wrote:

This bug is causing Bug 31697. So when were these gender-specific namespaces first enabled?

(In reply to comment #4)

This bug is causing Bug 31697. So when were these gender-specific namespaces
first enabled?

They were first enabled with 1.18 which was deployed earlier this year. https://blog.wikimedia.org/2011/10/04/mediawiki-1-18-deployment-today-to-all-wikimedia-sites/

What is needed to get this issue any closer to being resolved?

demon added a comment.Feb 13 2014, 6:15 AM

Repurposing into Cirrus bug since lsearchd has been killed. See new title.

demon added a comment.Apr 16 2014, 3:53 PM

Ok, I see two things we'll need to fix here I think.

  1. Core Special:Search should handle NS_USER on results so it uses the correct gender in results
  1. Cirrus needs to store the gendered namespace so interwiki results are correct

I imagine it'd be pretty quick work for someone who's familiar with the gender code.

Change 136447 had a related patch set uploaded by Chad:
Store the proper gender variant namespace text

https://gerrit.wikimedia.org/r/136447

Change 136447 merged by jenkins-bot:
Do the right thing with gendered namespaces

https://gerrit.wikimedia.org/r/136447

demon added a comment.Jun 4 2014, 2:34 PM

Should be all dandy in Cirrus-powered wikis now.